Update scan configuration
PATCH https://app.cyrion.ai/api/scans/{run_name}
Update scan configuration (only for stopped scans).
Requires authentication. Users can only update their own scans.
Path parameters
run_name(string, required)
Request body
custom_cookie(string): Custom Cookie headercustom_user_agent(string): Custom User-Agent headerengagement_rules(string): Rules of engagement (scope, out-of-scope, testing rules)max_iterations(integer): Max iterations for comprehensive testingmax_requests_per_second(integer): Rate limit — max requests per secondscan_mode(string): Scan mode: quick/standard/aggressive/thoroughstealth_mode(boolean): Route traffic through Tor for anonymitytarget(string): New target for the scanuser_instructions(string): Updated instructions
Responses
200Successful Response422Validation Error